Configuration
All operations require authentication.
Get the SOA recordProduction
Returns the SOA of the zone: primary server, administrator email, serial, refresh, expire, TTL and negative-response TTL.
Path parameters
Zone name
Response
Email address of the DNS Administrator
When a zone transfer fails, a countdown clock begins. When the number of seconds set in the expire field elapses, the nameserver stops answering for that zone file
Non-Existent Domain TTL, if the name server returns a negative response, the remote server should wait the number of seconds set in the nxDomainTtl field before trying again
The refresh value determines the interval in seconds between successful zone transfers of the entire zone file from a nameserver to another.
The serial number is used to indicate which copy of the zone file is the most current. When editing zone files, you must increment the serial number
Primary authoritative server
Time To Live in seconds
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ soa \
-H "authorization: Bearer $OVH_TOKEN"{ "email": "string", "expire": 0, "nxDomainTtl": 0, "refresh": 0, "serial": 0, "server": "string", "ttl": 0}
Update the SOA recordProduction
Updates the SOA values of the zone.
Path parameters
Zone name
Request body (required)
Email address of the DNS Administrator
When a zone transfer fails, a countdown clock begins. When the number of seconds set in the expire field elapses, the nameserver stops answering for that zone file
Non-Existent Domain TTL, if the name server returns a negative response, the remote server should wait the number of seconds set in the nxDomainTtl field before trying again
The refresh value determines the interval in seconds between successful zone transfers of the entire zone file from a nameserver to another.
The serial number is used to indicate which copy of the zone file is the most current. When editing zone files, you must increment the serial number
Primary authoritative server
Time To Live in seconds
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ soa \
-H "authorization: Bearer $OVH_TOKEN"Get the DNSSEC statusProduction
Returns the DNSSEC status: enabled, disabled, or being enabled or disabled.
Path parameters
Zone name
Response
DNSSEC Status
disableInProgressdisabledenableInProgressenabledExample uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dnssec \
-H "authorization: Bearer $OVH_TOKEN"{ "status": "disableInProgress"}
Enable DNSSECProduction
Enables DNSSEC on the zone. The status is enableInProgress until it completes.
Path parameters
Zone name
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dnssec \
-H "authorization: Bearer $OVH_TOKEN"Disable DNSSECProduction
Disables DNSSEC on the zone. The status is disableInProgress until it completes.
Path parameters
Zone name
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ dnssec \
-H "authorization: Bearer $OVH_TOKEN"List optionsProduction
Returns the names of the zone options.
Path parameters
Zone name
Response
Example uses zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ option \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an optionProduction
Returns a zone option: its name.
Path parameters
Name
Zone name
Response
The option name
Example uses name = string, zoneName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ domain/ zone/ {zoneName}/ option/ {name} \
-H "authorization: Bearer $OVH_TOKEN"{ "name": "string"}